Bug 112906 - grub-0.93-8: /sbin/grub-install segfaults
grub-0.93-8: /sbin/grub-install segfaults
Product: Red Hat Raw Hide
Classification: Retired
Component: grub (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: 114011 116288 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-01-05 14:36 EST by Aleksey Nogin
Modified: 2007-04-18 13:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-14 12:12:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Core dump (12.00 KB, application/octet-stream)
2004-01-05 15:14 EST, Aleksey Nogin
no flags Details

  None (edit)
Description Aleksey Nogin 2004-01-05 14:36:13 EST
On an AMD Opteron running fully up2date'd Fedora Core Development
(except for a slightly old glibc - see bug 112849):

# /sbin/grub-install /dev/hda
/sbin/grub-install: line 431: 19780 Segmentation fault     
$grub_shell --batch --device-map=$device_map  >$log_file <<EOF
dump ${root_drive}${tmp} ${img_file}

/sbin/grub-install: line 431: 19785 Segmentation fault     
$grub_shell --batch --device-map=$device_map  >$log_file <<EOF
dump ${root_drive}${tmp} ${img_file}

/sbin/grub-install: line 431: 19790 Segmentation fault     
$grub_shell --batch --device-map=$device_map  >$log_file <<EOF
dump ${root_drive}${tmp} ${img_file}

/sbin/grub-install: line 431: 19795 Segmentation fault     
$grub_shell --batch --device-map=$device_map  >$log_file <<EOF
dump ${root_drive}${tmp} ${img_file}

/sbin/grub-install: line 431: 19800 Segmentation fault     
$grub_shell --batch --device-map=$device_map  >$log_file <<EOF
dump ${root_drive}${tmp} ${img_file}

The file /boot/grub/stage1 not read correctly.
Exit 1

Older version of grub did not have this problem.

P.S. If I get a core dump, gdb is unable to understand the core file,
so I can not get a stack trace.
Comment 1 Jeremy Katz 2004-01-05 14:41:42 EST
Does just running /sbin/grub segfault?  You should be able to get a
backtrace by rpm2cpio'ing the i386 gdb and running that if nothing else.  

The package works just fine here for me, although I'm basically
running RHEL3 on the machine in question.
Comment 2 Aleksey Nogin 2004-01-05 15:13:45 EST
Just running /sbin/grub segfaults too. i386 gdb does not work since it
requires 32-bit libc. Will attach the core file.
Comment 3 Aleksey Nogin 2004-01-05 15:14:21 EST
Created attachment 96773 [details]
Core dump
Comment 4 Lorenzo Luconi Trombacchi 2004-01-19 04:18:56 EST
I have an Athlon64 3200+ and I have installed x86_64 development
version and I found the same problem. Every time I try to execute
/sbin/grub a segfault message is displayed.
Comment 5 Jeremy Katz 2004-02-14 12:12:22 EST
Kernel bug, davej says its fixed in his most recent kernel (which may
not be pushed yet)
Comment 6 Aleksey Nogin 2004-02-19 17:45:03 EST
*** Bug 116288 has been marked as a duplicate of this bug. ***
Comment 7 Aleksey Nogin 2004-02-19 17:45:50 EST
*** Bug 114011 has been marked as a duplicate of this bug. ***
Comment 8 Philip Pokorny 2005-04-14 01:19:39 EDT
Two months without an update.  This is causing us major pain with FC3 installer.

Has davej pushed his "fixed" kernel?

We've updated the Fedore Core install bits to 2.6.10-1.770_FC3 and it still fails.

Should we expect that grub 0.95-12 should improve things?
Comment 9 Philip Pokorny 2005-04-14 01:27:42 EDT
Err fourteen! months...  Whatever fix was in davej's kernel surely must have
pushed by now. Unfortunately, the FC3 kernel/grub are still broken.

Hardware configuration is a SATA drive using libata (ata_piix)

Grub reliably segfaults during install, leaving the system unbootable.

The installed GRUB is actually a 32-bit executable and not 64-bit.  Grub works
on the same hardware with a 32-bit version of FC3.  Is there a problem with the
BOOT kernel 32-bit emulation support?

Note You need to log in before you can comment on or make changes to this bug.